/*
 * RTBI.CMD  written by mira308sw
 *
 * script to execute function RemoveTurboBootInfo in sw:8.11.
 *
 *  v01.00 : 08/07/2009
 */

#define NO            0
#define YES           1
#define OK            0
#define ERROR        -1
#define NULL          ((void*)0)

int     ShowNavigationQuestionScreen (char* text, int* answer);

void*   UPGFindSymbol      ( char *sym );
int     ExecuteFlasherOut  ( void *funptr,... );   // max 7 parameters
void    RebootSystem       ( void );

int   main ( int argc,char* argv[] )
{
  int   l_iAnsw;
  void *l_pf;

  ShowNavigationQuestionScreen( "Execute: RemoveTurboBootInfo ?",&l_iAnsw );
  if( l_iAnsw==YES )
  {
    l_pf=UPGFindSymbol( "RemoveTurboBootInfo__13C_FILE_SEARCH" );
    if( l_pf==NULL )
      ShowNavigationQuestionScreen( "RTBI not found",&l_iAnsw );
    else
      if( ERROR==ExecuteFlasherOut( l_pf ) )
        ShowNavigationQuestionScreen( "Error executing RTBI",&l_iAnsw );
    ShowNavigationQuestionScreen( "RTBI done. Reboot ?",&l_iAnsw );
    if( l_iAnsw==YES )
      RebootSystem();
  }
  return OK;
}
